package com.fs.qw.mapper;

import com.fs.qw.domain.QwAppContactWay;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * app活码Mapper接口
 *
 * @author fs
 * @date 2024-12-11
 */
public interface QwAppContactWayMapper
{
    /**
     * 查询app活码
     *
     * @param id app活码主键
     * @return app活码
     */
    public QwAppContactWay selectQwAppContactWayById(Long id);

    /**
     * 查询app活码列表
     *
     * @param qwAppContactWay app活码
     * @return app活码集合
     */
    public List<QwAppContactWay> selectQwAppContactWayList(QwAppContactWay qwAppContactWay);

    /**
     * 新增app活码
     *
     * @param qwAppContactWay app活码
     * @return 结果
     */
    public int insertQwAppContactWay(QwAppContactWay qwAppContactWay);

    /**
     * 修改app活码
     *
     * @param qwAppContactWay app活码
     * @return 结果
     */
    public int updateQwAppContactWay(QwAppContactWay qwAppContactWay);

    /**
     * 删除app活码
     *
     * @param id app活码主键
     * @return 结果
     */
    public int deleteQwAppContactWayById(Long id);

    /**
     * 批量删除app活码
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteQwAppContactWayByIds(Long[] ids);

    @Select("select * from qw_app_contact_way where user_id=#{userId} and `status`=1 and way_status=1  and expiration_time > NOW() limit 1")
    QwAppContactWay selectQwAppContactWayByUserId(Long userId);
    @Select("select * from qw_app_contact_way where   way_status=1  and expiration_time < NOW()  ")
    List<QwAppContactWay> selectContactWayExpiration();

}
